net.sf.jasperreports.components.list

## Class VerticalFillList

- java.lang.Object
- - net.sf.jasperreports.engine.component.BaseFillComponent
  - - net.sf.jasperreports.components.list.BaseFillList
    - - net.sf.jasperreports.components.list.VerticalFillList

- All Implemented Interfaces:
    FillComponent

      public class VerticalFillList
      extends BaseFillList

  Vertical fill list component implementation.
  Version:
    $Id: VerticalFillList.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.jasperreports.components.list.BaseFillList

      `BaseFillList.AppendingPrintElementContainer`

  - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.components.list.BaseFillList

      `contentsHeight, datasetRun, filling, fillStarted, printFrame, printFrameTemplates`

    - ### Fields inherited from class net.sf.jasperreports.engine.component.BaseFillComponent

      `elementId, fillContext, printElementOriginator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VerticalFillList(ListComponent component, JRFillObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `fillContents(int availableHeight)`
    `FillPrepareResult` | `prepare(int availableHeight)` Prepares to fill the component by deciding whether the component will print, and how much vertical space it will require.

    - ### Methods inherited from class net.sf.jasperreports.components.list.BaseFillList

      `createDatasetExpressionEvaluator, createPrintFrame, evaluate, fill, getFrameTemplate, rewind`

    - ### Methods inherited from class net.sf.jasperreports.engine.component.BaseFillComponent

      `deduplicate, evaluateDelayedElement, evaluateExpression, initialize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VerticalFillList

          public VerticalFillList(ListComponent component,
                          JRFillObjectFactory factory)
                           throws JRException

      Throws:
        `JRException`

  - ### Method Detail

    - #### prepare

          public FillPrepareResult prepare(int availableHeight)

      Description copied from interface: `FillComponent`
      Prepares to fill the component by deciding whether the component will print, and how much vertical space it will require.
      Parameters:
        `availableHeight` - the amount of vertical space available for the component, starting from the top of the component element.
      Returns:
        the result of the preparation, which specifies whether the component will print and how much it will stretch vertically.

    - #### fillContents

          protected boolean fillContents(int availableHeight)
                                  throws JRException

      Throws:
        `JRException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com